Forum

Author Topic: Can not launch tkinter on Intel MacOS  (Read 1922 times)

howcanoewang

  • Newbie
  • *
  • Posts: 9
    • View Profile
Can not launch tkinter on Intel MacOS
« on: November 29, 2022, 08:54:19 AM »
to reproduce:

Code: [Select]
2022-11-29 14:53:37 Populating font family aliases took 324 ms. Replace uses of missing font family "Courier" with one that exists to avoid this cost.
2022-11-29 14:53:38 OpenGL Vendor: ATI Technologies Inc.
2022-11-29 14:53:38 OpenGL Renderer: AMD Radeon Pro 5500M OpenGL Engine
2022-11-29 14:53:38 OpenGL Version: 2.1 ATI-4.8.101
2022-11-29 14:53:38 Maximum Texture Size: 16384
2022-11-29 14:53:38 Quad Buffered Stereo: not enabled
2022-11-29 14:53:38 ARB_vertex_buffer_object: supported
2022-11-29 14:53:38 ARB_texture_non_power_of_two: supported
2022-11-29 14:53:38 Agisoft Metashape Professional Version: 1.8.4 build 14856 (64 bit)
2022-11-29 14:53:38 Platform: Mac OS
2022-11-29 14:53:38 CPU: Intel(R) Core(TM) i9-9980HK CPU @ 2.40GHz (laptop)
2022-11-29 14:53:38 CPU family: 6 model: 158 signature: 906EDh
2022-11-29 14:53:38 RAM: 64.0 GB
2022-11-29 14:53:39 Using simple console. Rich console can be enabled in Preferences dialog.
>>> import tkinter
>>> tkinter._test()   # this may raise no such function error, run >>> tkinter._test, first will solve this problem
2022-11-29 14:47:40 Traceback (most recent call last):
2022-11-29 14:47:40   File "<console>", line 1, in <module>
2022-11-29 14:47:40   File "/Applications/MetashapePro.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.8/tkinter/__init__.py", line 4557, in _test
2022-11-29 14:47:40     root = Tk()
2022-11-29 14:47:40   File "/Applications/MetashapePro.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.8/tkinter/__init__.py", line 2272, in __init__
2022-11-29 14:47:40     self._loadtk()
2022-11-29 14:47:40   File "/Applications/MetashapePro.app/Contents/Frameworks/Python.framework/Versions/Current/lib/python3.8/tkinter/__init__.py", line 2288, in _loadtk
2022-11-29 14:47:40     raise RuntimeError("tk.h version (%s) doesn't match libtk.a version (%s)"
2022-11-29 14:47:40 RuntimeError: tk.h version (8.6) doesn't match libtk.a version (8.5)

The 1.7.6 also has the same error.

This command can run without any problem on my local python.
« Last Edit: November 29, 2022, 10:20:09 AM by howcanoewang »

Alexey Pasumansky

  • Agisoft Technical Support
  • Hero Member
  • *****
  • Posts: 14937
    • View Profile
Re: Can not launch tkinter on Intel MacOS
« Reply #1 on: November 29, 2022, 04:44:17 PM »
Hello howcanoewang,

Thank you for reporting the problem.

We were able to reproduce the problem and will try to fix it in one of the 2.0.x versions after the official release.
Best regards,
Alexey Pasumansky,
Agisoft LLC